# Interface PathSymbol3DLayerJson

PathSymbol3DLayer renders Polyline geometries using a volumetric 3D tube with a LineSymbol3D in a SceneView.

See https://developers.arcgis.com/web-scene-specification/objects/pathSymbol3DLayer/.

interface PathSymbol3DLayerJson {
material?: MaterialJson;
size?: number;
type: "Path";
width?: number;
}

#### Hierarchy (view full)

- Symbol3DLayerJsonBase
  - PathSymbol3DLayerJson

#####
Index

### Properties

material?
size?
type
width?

##
Properties

### `Optional` material

material?: MaterialJson

The material used to shade the geometry.

### `Optional` size

size?: number

Path size (diameter) in meters, positive only.

### type

type

The type of the Symbol3DLayer. See Symbol3DLayerJsonType.

Overrides Symbol3DLayerJsonBase.type

### `Optional` width

width?: number

Path width in meters.